Subject: bug#32452: 26.1; gnutls_try_handshake maxes out cpu retrying when server is a bit busy

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Aug 2018 20:33:54 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Thu, 16 Aug 2018 10:45:12 -0400
> Cc: [email-masked]
> 
> > Does anything change if you disable asynchronous DNS and connection
> > establishment?
> 
> Um, how should I do that?

Compile with HAVE_GETADDRINFO_A undefined?  Although if :nowait is
nil, then I'm not sure such a compilation will change anything.  But I
think it's worth trying, as at least some of the related code doesn't
seem to be disabled by :nowait being nil, if my reading of the code is
correct.